Are you getting a plugin error in Google’s new CALL PHONE link? Here’s the fix!

I was having some problems using Google Chat in my Google account through the Firefox browser. Every single time I went to the CALL PHONE link, I got the error that I needed to “please download the voice plugin to make a call”, even though I had already installed the plugin multiple times!

What was even more interesting was that the CALL PHONE feature worked in Safari. Firefox was the only one having problems with it.

Nobody on the ‘net seemed to have a solution, but after messing with the browsers for a few minutes, I think I got it.

Here’s how I got the CALL PHONE feature in Google working for me in Firefox….

  • Go to TOOLS and ADD-ONS
  • Click on PLUG INS
  • ENABLE both GOOGLE TALK NPAPI PLUGIN and GOOGLE TALK PLUGIN VIDEO ACCELERATOR
  • QUIT Firefox and relaunch it
  • CALL PHONE will work!

Here’s what you’re going to see before the fix…

Google Talk Fix


Just click on the greyed out icon and press ENABLE. Restart Firefox and you’re set.

Apparently either Firefox doesn’t enable the plugin on the initial install, or the install code from Google doesn’t hit the right switch along the way.

I also assume a similar trick will work in Internet Explorer through MANAGE ADD ONS and making sure everything with a GOOGLE prefix is enabled.

2 thoughts on “Are you getting a plugin error in Google’s new CALL PHONE link? Here’s the fix!

Leave a Reply

Your email address will not be published. Required fields are marked *